Introduction The resource controller is the next-generation IBM Cloud® platform provisioning layer that manages the lifecycle of IBM Cloud resources in a customer account. A resource is an instance of a service like Cloudant, a Cloud Foundry application, a virtual machine, a container, a software image, or a data set. The resource controller provides APIs to help you manage the following elements of your resource lifecycle: Catalog management Provisioning creating an instance Updating a resource instance Resource keys De-provisioning deleting an instance Dashboard SSO Resources are provisioned globally in an account scope. The resource controller supports both synchronous and asynchronous provisioning of resources. Resources are created by the resource controller within resource groupshttps://console.cloud.ibm.com/docs/overview/resource-groups.htmlwhatis. A resource group belongs to an account. All IBM Cloud resources must be provisioned within a resource group. If an account is suspended, the corresponding resource group is suspended as well, and all resources within the resource group are suspended. Installing the Java SDK Maven xml Method Path Summary GET /v2/resource_instances Get a list of all resource instances POST /v2/resource_instances Create (provision) a new resource instance GET /v2/resource_instances/{id} Get a resource instance DELETE /v2/resource_instances/{id} Delete a resource instance PATCH /v2/resource_instances/{id} Update a resource instance GET /v2/resource_instances/{id}/resource_keys Get a list of all the resource keys for the instance. POST /v2/resource_instances/{id}/lock Lock a resource instance DELETE /v2/resource_instances/{id}/lock Unlock a resource instance DELETE /v2/resource_instances/{id}/last_operation Cancel the in progress last operation of the resource instance GET /v2/resource_keys Get a list of all of the resource keys POST /v2/resource_keys Create a new resource key GET /v2/resource_keys/{id} Get resource key DELETE /v2/resource_keys/{id} Delete a resource key PATCH /v2/resource_keys/{id} Update a resource key GET /v1/reclamations Get a list of all reclamations POST /v1/reclamations/{id}/actions/{action_name} Perform a reclamation action